- block:
  
  - name: create logdir for fluentd
    ansible.builtin.file:
      path: /var/log/fluentd
      state: directory

  - name: create fluentd config fluent.conf
    community.docker.docker_config:
      name: xivolog-fluent-conf
      data: "{{ fluent_conf_content }}"
    vars:
      fluent_conf_content: "{{ lookup('file', 'xivolog-fluent-conf') }}"

  run_once: yes
  delegate_to: "{{ main_server }}"
